UncheckedExecutionException
Date: 2016-05-24

com.google.common.util.concurrent

## Class UncheckedExecutionException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - com.google.common.util.concurrent.UncheckedExecutionException

- All Implemented Interfaces:
    java.io.Serializable

      @GwtCompatible
      public class UncheckedExecutionException
      extends java.lang.RuntimeException

  Unchecked variant of `ExecutionException`. As with `ExecutionException`, the exception's cause comes from a failed task, possibly run in another thread.

  `UncheckedExecutionException` is intended as an alternative to `ExecutionException` when the exception thrown by a task is an unchecked exception. However, it may also wrap a checked exception in some cases.

  When wrapping an `Error` from another thread, prefer `ExecutionError`. When wrapping a checked exception, prefer `ExecutionException`.

  Since:
    10.0
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `UncheckedExecutionException()` Creates a new instance with `null` as its detail message.
    `protected` | `UncheckedExecutionException(java.lang.String message)` Creates a new instance with the given detail message.
    `` | `UncheckedExecutionException(java.lang.String message, java.lang.Throwable cause)` Creates a new instance with the given detail message and cause.
    `` | `UncheckedExecutionException(java.lang.Throwable cause)` Creates a new instance with the given cause.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### UncheckedExecutionException

          protected UncheckedExecutionException()

      Creates a new instance with `null` as its detail message.

    - #### UncheckedExecutionException

          protected UncheckedExecutionException(@Nullable
                                     java.lang.String message)

      Creates a new instance with the given detail message.

    - #### UncheckedExecutionException

          public UncheckedExecutionException(@Nullable
                                     java.lang.String message,
                                     @Nullable
                                     java.lang.Throwable cause)

      Creates a new instance with the given detail message and cause.

    - #### UncheckedExecutionException

          public UncheckedExecutionException(@Nullable
                                     java.lang.Throwable cause)

      Creates a new instance with the given cause.